## org.exist.util
Class Collations

    java.lang.Object
      org.exist.util.Collations

public class Collations
extends java.lang.Object

Utility methods dealing with collations.

Author:
  wolf

Field Summary
`static java.lang.String` `CODEPOINT` The default unicode codepoint collation URI as defined by the XQuery spec.
`static java.lang.String` `CODEPOINT_SHORT` Short string to select the default codepoint collation
`static java.lang.String` `EXIST_COLLATION_URI` The URI used to select collations in eXist.

Constructor Summary
`Collations()`

Method Summary
`static int` `compare(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`
`static boolean` `contains(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`
`static boolean` `endsWith(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`
`static boolean` `equals(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`
`static java.text.Collator` `getCollationFromURI(XQueryContext context, java.lang.String uri)` Get a `Comparator`from the specified URI.
`static int` `indexOf(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`
`static boolean` `startsWith(java.text.Collator collator, java.lang.String s1, java.lang.String s2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODEPOINT

    public static final java.lang.String CODEPOINT

  The default unicode codepoint collation URI as defined by the XQuery spec.

  See Also:
    Constant Field Values

### CODEPOINT_SHORT

    public static final java.lang.String CODEPOINT_SHORT

  Short string to select the default codepoint collation

  See Also:
    Constant Field Values

### EXIST_COLLATION_URI

    public static final java.lang.String EXIST_COLLATION_URI

  The URI used to select collations in eXist.

  See Also:
    Constant Field Values

Constructor Detail

### Collations

    public Collations()

Method Detail

### getCollationFromURI

    public static final java.text.Collator getCollationFromURI(XQueryContext context,
                                                               java.lang.String uri)
                                                        throws XPathException

  Get a `Comparator`from the specified URI. The original code is from saxon (@linkplain http://saxon.sf.net).

  Parameters:
    `uri` -
  Throws:
    `XPathException`

### equals

    public static final boolean equals(java.text.Collator collator,
                                       java.lang.String s1,
                                       java.lang.String s2)

### compare

    public static final int compare(java.text.Collator collator,
                                    java.lang.String s1,
                                    java.lang.String s2)

### startsWith

    public static final boolean startsWith(java.text.Collator collator,
                                           java.lang.String s1,
                                           java.lang.String s2)

### endsWith

    public static final boolean endsWith(java.text.Collator collator,
                                         java.lang.String s1,
                                         java.lang.String s2)

### contains

    public static final boolean contains(java.text.Collator collator,
                                         java.lang.String s1,
                                         java.lang.String s2)

### indexOf

    public static final int indexOf(java.text.Collator collator,
                                    java.lang.String s1,
                                    java.lang.String s2)

Copyright (C) Wolfgang Meier. All rights reserved.